From 70398439baa0127e62d0a7786e21b7de68f1495d Mon Sep 17 00:00:00 2001
From: Leah Rowe <leah@libreboot.org>
Date: Sat, 6 Jul 2024 02:01:59 +0100
Subject: [PATCH 1/3] GRUB: only load xhci from grub.cfg

don't put it in the install modules.

this works around a hanging issue on haswell thinkpads.

when any usb device is inserted, GRUB will sometimes
hang if started from the SeaBIOS payload, *while* the
USB device is plugged in.

plugging in the USB device after GRUB starts worked.
it will have to be investigated more at a later date,
but this simply configuration change works.

the xhci module is already loaded explicitly, in grub.cfg

Signed-off-by: Leah Rowe <leah@libreboot.org>
---
 config/data/grub/module/xhci | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/config/data/grub/module/xhci b/config/data/grub/module/xhci
index 8bf80bfeb..6235bbadd 100755
--- a/config/data/grub/module/xhci
+++ b/config/data/grub/module/xhci
@@ -8,6 +8,7 @@ usbserial_ftdi \
 usbserial_pl2303 \
 usbserial_usbdebug \
 video_colors \
+xhci \
 "
 # Modules (and always loaded)
 grub_modules=" \
@@ -35,7 +36,6 @@ crypto \
 cryptodisk \
 diskfilter \
 echo \
-xhci \
 ehci \
 eval \
 exfat \
-- 
2.39.2

